Bug 962729 - Review Request: perl-Test-LectroTest - Easy, automatic, specification-based tests
Review Request: perl-Test-LectroTest - Easy, automatic, specification-based t...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962744
  Show dependency treegraph
 
Reported: 2013-05-14 06:41 EDT by Petr Pisar
Modified: 2013-05-17 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-LectroTest-0.3600-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 09:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-05-14 06:41:22 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Test-LectroTest/perl-Test-LectroTest.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-LectroTest/perl-Test-LectroTest-0.3600-1.fc20.src.rpm
Description:
LectroTest is an automated, specification-based testing system. To use it,
declare properties that specify the expected behavior of your software. Then
invoke LectroTest to test whether those properties hold.

LectroTest does this by running repeated random trials against your software.
If LectroTest finds that a property doesn't hold, it emits the counterexample
that "broke" your software. You can then plug the counterexample into your
software to debug the problem.

Fedora Account System Username: ppisar
Comment 1 Petr Pisar 2013-05-16 08:11:45 EDT
The bundling is subject of FPC item <https://fedorahosted.org/fpc/ticket/291>.
Comment 2 Petr Pisar 2013-05-16 10:30:29 EDT
(In reply to comment #1)
> The bundling is subject of FPC item
> <https://fedorahosted.org/fpc/ticket/291>.
Sorry, wrong bug report. Test-LectroTest does no bundle anything.
Comment 3 Jitka Plesnikova 2013-05-17 02:24:00 EDT
Package Review
==============

Key:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

$ rpmlint perl-Test-LectroTest.spec perl-Test-LectroTest-0.3600-1.fc20.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpm -qp --provides ./perl-Test-LectroTest-0.3600-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(Test::LectroTest) = 0.3600
      1 perl(Test::LectroTest::Compat)
      1 perl(Test::LectroTest::FailureRecorder)
      1 perl(Test::LectroTest::Generator) = 0.14
      1 perl(Test::LectroTest::Property)
      1 perl(Test::LectroTest::TestRunner)
      1 perl(Test::LectroTest::TestRunner::results)
      1 perl(Test::LectroTest::TestRunner::testcontroller)
      1 perl-Test-LectroTest = 0.3600-1.fc20
Binary provides ok.

$ rpm -qp --requires ./perl-Test-LectroTest-0.3600-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.16.3)
      1 perl(Carp)
      1 perl(Class::Struct)
      1 perl(Data::Dumper)
      1 perl(Exporter)
      1 perl(Filter::Util::Call)
      1 perl(Scalar::Util)
      1 perl(Test::Builder)
      1 perl(Test::LectroTest::FailureRecorder)
      1 perl(Test::LectroTest::Generator)
      1 perl(Test::LectroTest::Property)
      1 perl(Test::LectroTest::TestRunner)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires ok.


Source checksums
----------------
http://www.cpan.org/authors/id/T/TM/TMOERTEL/Test-LectroTest-0.3600.tar.gz :
  CHECKSUM(SHA256) this package     : 12f055e1a5653fe2bfff44ee6731b7b7bddd0c48363030c7bc05f1d6c3373048
  CHECKSUM(SHA256) upstream package : 12f055e1a5653fe2bfff44ee6731b7b7bddd0c48363030c7bc05f1d6c3373048


Package is good.
Approved.
Comment 4 Petr Pisar 2013-05-17 02:29:04 EDT
New Package SCM Request
=======================
Package Name: perl-Test-LectroTest
Short Description: Easy, automatic, specification-based tests
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-05-17 09:08:38 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2013-05-17 09:33:28 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.